Bug 197553 - multimedia/webcamd: REQUIRE dbus BEFORE devd creates circular rcorder dependency
Summary: multimedia/webcamd: REQUIRE dbus BEFORE devd creates circular rcorder dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Hans Petter Selasky
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2015-02-12 01:08 UTC by Duane
Modified: 2021-09-17 15:54 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (hselasky)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Duane 2015-02-12 01:08:59 UTC
Having "REQUIRE dbus BEFORE devd" in the rc.d/webcamd script creates a circular dependency which breaks my system boot.

I have removed the "BEFORE devd" from my system to restore boot, but I'm not sure what the consequences of this are.  If webcamd needs to inform devd of something should it not be possible to defer whatever devd may do until webcamd has started and then signal devd to do the work webcamd requires once webcamd has started?
Comment 1 Bugzilla Automation freebsd_committer 2015-02-12 01:08:59 UTC
Auto-assigned to maintainer hselasky@FreeBSD.org
Comment 2 Hans Petter Selasky freebsd_committer 2015-03-29 08:37:53 UTC
I'll look into this issue again in the coming week.
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-12 23:47:51 UTC
Is this still relevant?
Comment 4 Hans Petter Selasky freebsd_committer 2018-01-13 05:44:54 UTC
There were some off-list discussions about this.

If you look at hal_init() in the webcamd sources, you see webcamd is waiting for hald.

I think the right solution is to drop the dbus dependency. It should be fine regardless.

Summed up: No need for REQUIRE dbus in the webcamd rc.d .

--HPS
Comment 5 Gleb Popov freebsd_committer 2021-09-16 12:36:51 UTC
(In reply to Hans Petter Selasky from comment #4)
Well, the rc script still requires dbus. What should be done to close this PR?
Comment 6 Hans Petter Selasky freebsd_committer 2021-09-16 14:30:09 UTC
Hi,

Since last time, HALD, support has been completely removed from webcamd, and webcamd no longer interacts with HALD nor DBUS.

Can you update the patch, so we can move on?

--HPS
Comment 7 Gleb Popov freebsd_committer 2021-09-16 16:38:52 UTC
diff --git a/multimedia/webcamd/Makefile b/multimedia/webcamd/Makefile
index e544f92a83d1..bd91ec70c2ec 100644
--- a/multimedia/webcamd/Makefile
+++ b/multimedia/webcamd/Makefile
@@ -3,6 +3,7 @@
 PORTNAME=      webcamd
 DISTVERSIONPREFIX=     v
 DISTVERSION=   5.13.2.6
+PORTREVISION=  1
 CATEGORIES=    multimedia
 
 MAINTAINER=    hselasky@FreeBSD.org
diff --git a/multimedia/webcamd/files/webcamd.in b/multimedia/webcamd/files/webcamd.in
index fbc124fe86d8..b9e6b66b5f4b 100644
--- a/multimedia/webcamd/files/webcamd.in
+++ b/multimedia/webcamd/files/webcamd.in
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 # PROVIDE: webcamd
-# REQUIRE: FILESYSTEMS netif dbus kld
+# REQUIRE: FILESYSTEMS netif kld
 # KEYWORD: shutdown
 #
 # ================================================================


OK to push?
Comment 8 Hans Petter Selasky freebsd_committer 2021-09-17 07:46:06 UTC
You have my blessing!
Comment 9 commit-hook freebsd_committer 2021-09-17 15:53:59 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=009e33189a6bc6b4c8f165f253d7d0597f78c4d7

commit 009e33189a6bc6b4c8f165f253d7d0597f78c4d7
Author:     Gleb Popov <arrowd@FreeBSD.org>
AuthorDate: 2021-09-17 15:51:53 +0000
Commit:     Gleb Popov <arrowd@FreeBSD.org>
CommitDate: 2021-09-17 15:53:03 +0000

    multimedia/webcamd: Do not require dbus in the rc script.

    PR:             197553
    Approved by:    hselasky (maintainer)

 multimedia/webcamd/Makefile         | 1 +
 multimedia/webcamd/files/webcamd.in | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)